Requires authentication — see Authentication.
Creates a new Broadcast depending on the type of communication channel you want to send (SMS, WhatsApp, Email, RCS). Certain factors must be considered when you want to send Broadcasts: the Broadcast scheduler configures the Broadcast sending depending on the communication channel and the delivery date. The deliveryMethod parameter allows us to differentiate the type of communication channel between SMS, WhatsApp, Email or RCS. That's why only this endpoint is used for the creation of Broadcasts because the deliveryMethod help us to send each type of communication channel, but there are several variations in the request body depending on the delivery type. See the Scheduling status section below for how the delivery date parameters determine when a Broadcast is sent.
This endpoint is used by the channel-specific broadcast tutorials: Creating and Sending SMS Broadcast, Creating and Sending Email Broadcast, and Creating and Sending WhatsApp Broadcast.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Scheduling status
Configure the broadcast delivery date through three different statuses:
| Broadcast Status | Parameter | Value | Description |
|---|---|---|---|
| Now | scheduleWithoutDate | false | Broadcast is sent at the moment. |
| Scheduled | broadcastDate | UTC Zulu format date | Broadcast is scheduled to be sent later. |
| Pending | scheduleWithoutDate | true | Indicates that Broadcast does not have a set delivery Date |
To later set or change the delivery date of a Broadcast that is already in Pending status, use Update Broadcast — it modifies an existing Broadcast, it does not create a new one.
SMS EncodingWhen sending SMS messages, the type of characters used in your message directly affects how it is encoded, how many characters fit into each SMS, and how messages are segmented during delivery. Messages that include special symbols, accented letters, or non-Latin characters may switch to a different encoding format, which can reduce the maximum characters per segment and increase message cost.
For details about character encoding and how special characters affect SMS segmentation, see the Encoding & Optimization for Multilingual SMS section.
